/*
  Copyright 2021 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.partner.friend.view

import android.os.Bundle
import android.view.Window
import com.kakao.sdk.partner.friend.util.LayoutUtils
import com.kakao.sdk.v2.partner.friend.R

/**
 * @suppress
 */
internal class FriendPopupPickerActivity : PickerActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        supportRequestWindowFeature(Window.FEATURE_NO_TITLE)
        setContentView(R.layout.activity_popup_friend_picker)

        window.attributes.apply {
            width = LayoutUtils.pickerWidth
            height = LayoutUtils.pickerHeight
            dimAmount = 0.5f
        }
    }
}